Bug 220576 - [NEW PORT] sysutils/u-boot-nanopi-neo
Summary: [NEW PORT] sysutils/u-boot-nanopi-neo
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Linimon
URL:
Keywords: feature, needs-qa
Depends on:
Blocks:
 
Reported: 2017-07-09 11:56 UTC by Emmanuel Vadot
Modified: 2017-08-02 15:37 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback? (manu)


Attachments
u-boot-nanopi-neo (1.64 KB, patch)
2017-07-09 11:56 UTC, Emmanuel Vadot
no flags Details | Diff
u-boot-nanopi-neo (1.64 KB, patch)
2017-07-10 14:38 UTC, Emmanuel Vadot
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Emmanuel Vadot freebsd_committer 2017-07-09 11:56:20 UTC
Created attachment 184196 [details]
u-boot-nanopi-neo

Add slave port of u-boot-master for NanoPi Neo board.

poudriere: OK
portlint: Same errors as other slave ports.
Comment 1 Emmanuel Vadot freebsd_committer 2017-07-10 09:00:07 UTC
Tested-By : Richard Puga <richard@puga.net>
Comment 2 Emmanuel Vadot freebsd_committer 2017-07-10 14:38:09 UTC
Created attachment 184234 [details]
u-boot-nanopi-neo
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-10 14:43:41 UTC
Thank you Emmanual.

Can you confirm this port passes QA (portlint and poudriere in particular) please. 

Also, could/should COMMENT be updated to reflect the specific target for this port?

Reporter is committer, assign accordingly
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-10 14:44:24 UTC
Apologies for the misspelling: Emmanuel :)
Comment 5 Emmanuel Vadot freebsd_committer 2017-07-10 14:56:19 UTC
As said in first post :

poudriere: OK
portlint: Same errors as other slave ports.

COMMENT in u-boot-master depends on MODEL (COMMENT=        Cross-build das u-boot for ${MODEL})
Comment 6 Mark Linimon freebsd_committer freebsd_triage 2017-08-02 15:34:12 UTC
Committed, thanks.
Comment 7 commit-hook freebsd_committer 2017-08-02 15:37:29 UTC
A commit references this bug:

Author: linimon
Date: Wed Aug  2 15:36:30 UTC 2017
New revision: 447113
URL: https://svnweb.freebsd.org/changeset/ports/447113

Log:
  Add slave port of u-boot-master for NanoPi Neo board.

  PR:		220576
  Submitted by:	manu

Changes:
  head/sysutils/Makefile
  head/sysutils/u-boot-nanopi-neo/
  head/sysutils/u-boot-nanopi-neo/Makefile
  head/sysutils/u-boot-nanopi-neo/pkg-descr